// #autoload
// #name = ToggleNewScoreScreenPings
// #category = ilys' Scripts
// #credit = Kaiten - NewScoreScreen and Score Screen Toggle. SilverSpirit - SSScoreScreenPings
// #include = support/player_support.cs

new GuiControlProfile ("NewScoreScreenProfile")
{
	fontType = $ShellFont;
	fontSize = $ShellMediumFontSize;
	fontColor = "0 255 255";
	fontColors[6] = $PlayerNameColor;
	fontColors[7] = $TribeTagColor;  
	fontColors[8] = $SmurfNameColor; 
	fontColors[9] = $BotNameColor;   
	autoSizeWidth = false;
	autoSizeHeight = false;
	tab = false;
	canKeyFocus = false;
};

package ToggleNewScoreScreenPings
{
	function OptionsDlg::onWake( %this )
	{
		if(!$SSToggle)
		{
			$RemapName[$RemapCount]="Score Screen (Hold)";
			$RemapCmd[$RemapCount]="SSToggleScoreScreen";
			$RemapCount++;
			$SSToggle = 1;
		}
		parent::onWake(%this);
	}
	function clientCmdSetDefaultVehicleKeys(%inVehicle)
	{
		parent::clientCmdSetDefaultVehicleKeys(%inVehicle);
		if (%inVehicle) passengerKeys.copyBind(moveMap, SSToggleScoreScreen);
	}
	function setLineHud(%msgType, %msgString, %hudName, %lineNumber, %a0, %a1, %a2, %a3, %a4)
	{
		if(getWord(%hudName,0) $= 'scoreScreen')
		{
			%player = PlayerList.findByName(detag(%a1));
			if(isObject(%player)) %a0 = strReplace(%a0,%player.name,%player.name @ " (\x10\c9" @ %player.ping @ "\x11)");
			%player = PlayerList.findByName(detag(%a3));
			if(isObject(%player)) %a0 = strReplace(%a0,%player.name,%player.name @ " (\x10\c9" @ %player.ping @ "\x11)");
		}
		parent::setLineHud(%msgType,%msgString,%hudName,%lineNumber,%a0,%a1,%a2,%a3,%a4);
	}
	function ScoreScreen::addLine(%obj, %tag, %lineNum, %name)
	{
		%yOffset = (%lineNum * 20) + 5;
		$Hud[%tag].count++;
		$Hud[%tag].childGui.resize( 3, 3, 586, %yOffset + 25 );
		$Hud[%tag].data[%lineNum,0] = new GuiMLTextCtrl() 
		{
			profile = "NewScoreScreenProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "0 " @ %yOffset;
			extent = "566 22";
			minExtent = "8 8";
			visible = "1";
			setFirstResponder = "0";
			modal = "1";
			helpTag = "0";
			text = "";
			allowColorChars = "1";
		};
		return 1;
	}
	function getScoresHandle(%msgType, %msgString, %a0)
	{
		commandtoServer('getScores');
	}
	function SSToggleScoreScreen(%val)
	{
		if (%val)
		{
			showHud('scoreScreen');
			clientCmdTogglePlayHuds(false);
		}
		else
		{
			HideHud('scoreScreen');
			clientCmdTogglePlayHuds(true);
		}	
	}
};
activatePackage(ToggleNewScoreScreenPings);
addMessageCallback('SetScoreHudHeader',getScoresHandle);
